commit:     d6aba6f5a05f8e4d804e40679f9145727172fbe8
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 15 21:35:44 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Apr 15 21:36:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6aba6f5

sys-fs/mdadm: Bump to version 4.2_rc1

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-fs/mdadm/Manifest             |  2 +
 sys-fs/mdadm/mdadm-4.2_rc1.ebuild | 94 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/sys-fs/mdadm/Manifest b/sys-fs/mdadm/Manifest
index 7ee62a3b9b6..a78b9332bd8 100644
--- a/sys-fs/mdadm/Manifest
+++ b/sys-fs/mdadm/Manifest
@@ -1,2 +1,4 @@
 DIST mdadm-4.1.tar.xz 440756 BLAKE2B 
df0506d937c2aa309d7c68804f66f7dcd51783288594bf746832311c64b8cf82004af4af5f246c5f9753f1de324ff7d49b5ee752d6a00ec03864f7885389706e
 SHA512 
0859c5d3e786345d93ff2c3b291ca8866ba60f1375479e5b4d343124f6824140a8268d42b8ae603b069edba761aa30aaf20d49e9ec54dfcbad34bad3bea0e433
+DIST mdadm-4.2-rc1.tar.xz 451540 BLAKE2B 
04683fab09ee91f1f090bc1214e7d49a6505107e9a8b57f826cc6d5505765e3aea5051214aa9a541f3be1885f7a9bbe3ac56ebf7ade7c076dd4c363e0384691b
 SHA512 
dbb836def3872ff079b8576c9d7506476882b211dd91c3f10b14a64dd6cb6e22ae3fac6c32eb40d991a47fe3053d44e783ecd947a9e5aeaae1ec0e48b5503e34
+DIST mdadm_4.1-11.debian.tar.xz 103044 BLAKE2B 
16ec2c7f96125148df838af9c07ba6b94b0d886640effd8600dbb30f2b6d65eca5ef39020b7d1f221c91b08613d7080edb6535564b624c92f0c7fe463386f309
 SHA512 
dca9bc40a12fc717437f9881bfd985ce60a9e47117e2aa3d61a1b45e0798f4a310a37c4592a2e0dbd00ebd78fdeef7bcf505e9a084f48120f8130f17e94db39c
 DIST mdadm_4.1-3.debian.tar.xz 89640 BLAKE2B 
3cb5e42dcbd218a71e55127cecda6f2594a1b1691e17c05f52a8cd0ba05b556d2812772e53d78de025738d7c2de059df3f878b8290ba3906b3d75ef435bfb698
 SHA512 
e9b04abf195d7bda9fb0197eb926c01a69b879ef82c72af6497116cea9be8f0823408dddbe5c6c033f5fae554a8fec17299e361fa48045e033c87dcee1a0bb63

diff --git a/sys-fs/mdadm/mdadm-4.2_rc1.ebuild 
b/sys-fs/mdadm/mdadm-4.2_rc1.ebuild
new file mode 100644
index 00000000000..acea997ecfb
--- /dev/null
+++ b/sys-fs/mdadm/mdadm-4.2_rc1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit flag-o-matic multilib systemd toolchain-funcs udev
+
+DESCRIPTION="Tool for running RAID systems - replacement for the raidtools"
+HOMEPAGE="https://git.kernel.org/pub/scm/utils/mdadm/mdadm.git/";
+DEB_PF="4.1-11"
+SRC_URI="https://www.kernel.org/pub/linux/utils/raid/mdadm/${P/_/-}.tar.xz
+               mirror://debian/pool/main/m/mdadm/${PN}_${DEB_PF}.debian.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+[[ "${PV}" = *_rc* ]] || \
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="static"
+
+BDEPEND="virtual/pkgconfig
+       app-arch/xz-utils"
+RDEPEND=">=sys-apps/util-linux-2.16"
+DEPEND="${RDEPEND}"
+
+# The tests edit values in /proc and run tests on software raid devices.
+# Thus, they shouldn't be run on systems with active software RAID devices.
+RESTRICT="test"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.4-sysmacros.patch #580188
+)
+
+mdadm_emake() {
+       # We should probably make corosync & libdlm into USE flags. #573782
+       local args=(
+               PKG_CONFIG="$(tc-getPKG_CONFIG)"
+               CC="$(tc-getCC)"
+               CWFLAGS="-Wall"
+               CXFLAGS="${CFLAGS}"
+               UDEVDIR="$(get_udevdir)"
+               SYSTEMD_DIR="$(systemd_get_systemunitdir)"
+               COROSYNC="-DNO_COROSYNC"
+               DLM="-DNO_DLM"
+
+               # https://bugs.gentoo.org/732276
+               STRIP=
+
+               "$@"
+       )
+       emake "${args[@]}"
+}
+
+src_compile() {
+       use static && append-ldflags -static
+       mdadm_emake all
+}
+
+src_test() {
+       mdadm_emake test
+
+       sh ./test || die
+}
+
+src_install() {
+       mdadm_emake DESTDIR="${D}" install install-systemd
+       dodoc ChangeLog INSTALL TODO README* ANNOUNCE-*
+
+       insinto /etc
+       newins mdadm.conf-example mdadm.conf
+       newinitd "${FILESDIR}"/mdadm.rc mdadm
+       newconfd "${FILESDIR}"/mdadm.confd mdadm
+       newinitd "${FILESDIR}"/mdraid.rc mdraid
+       newconfd "${FILESDIR}"/mdraid.confd mdraid
+
+       # From the Debian patchset
+       into /usr
+       dodoc "${WORKDIR}"/debian/README.checkarray
+       dosbin "${WORKDIR}"/debian/checkarray
+       insinto /etc/default
+       newins "${FILESDIR}"/etc-default-mdadm mdadm
+
+       exeinto /etc/cron.weekly
+       newexe "${FILESDIR}"/mdadm.weekly mdadm
+}
+
+pkg_postinst() {
+       if ! systemd_is_booted; then
+               if [[ -z ${REPLACING_VERSIONS} ]] ; then
+                       # Only inform people the first time they install.
+                       elog "If you're not relying on kernel auto-detect of 
your RAID"
+                       elog "devices, you need to add 'mdraid' to your 'boot' 
runlevel:"
+                       elog "  rc-update add mdraid boot"
+               fi
+       fi
+}

Reply via email to